
Foreman - Support #1886

Foreman should support Rackspace v2 Compute Resource

10/04/2012 09:56 AM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee: Romain Vrignaud   

Category: Compute resources   

Target version: 1.1   

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

I think that would be really great if

Foreman could support Rackspace v2.0 API.

This API is currently based on OpenStack but Fog seems to

have different module to manage that.

A dedicated Rackspace v2.0 Compute Resource would be

very usefull.

I should mention that there is already a PR for

Rackspace v1.0 API (https://github.com/theforeman/foreman/pull/118)

Associated revisions

Revision 8d3aa73e - 12/02/2012 09:50 AM - Romain Vrignaud

fixes #1886 adds Rackspace V2 support

Based on GregSutcliffe's initial pull request.

History

#1 - 12/02/2012 09:46 AM - Ohad Levy

- Assignee set to Romain Vrignaud

- Target version set to 1.1

#2 - 12/02/2012 12:49 PM - Romain Vrignaud

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 8d3aa73ef931b1bb6d229b9093d6b789dc6379cf.
